Bug 465935 - matchpathcon reports "No such file or directory" if the file is located in /tmp/
matchpathcon reports "No such file or directory" if the file is located in /tmp/
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libselinux (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 04:45 EDT by Milos Malik
Modified: 2010-02-03 02:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-10-07 04:45:50 EDT
Description of problem:
The matchpathcon utility has problems when checking files in /tmp directory. Maybe a problem with filesystem in /tmp.

Version-Release number of selected component (if applicable):
libselinux-1.33.4-5.1.el5

How reproducible:
always

Steps to Reproduce:
# touch /tmp/something.txt
# ls -l /tmp/something.txt 
-rw-r--r-- 1 root root 0 Oct  7 04:37 /tmp/something.txt
# matchpathcon /tmp/something.txt 
matchpathcon(/tmp/something.txt) failed: No such file or directory
# matchpathcon -V /tmp/something.txt 
matchpathcon(/tmp/something.txt) failed: No such file or directory
/tmp/something.txt has context root:object_r:tmp_t, should be
#
  
Actual results:
Even if the file exists the utility shows "no such file or directory" message.

Expected results:
The utility should show the file context.

Additional info:
Comment 3 Daniel Walsh 2009-03-06 16:34:30 EST
Fixed in libselinux-1.33.4-5.5
Comment 9 errata-xmlrpc 2009-09-02 03:57:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1241.html

Note You need to log in before you can comment on or make changes to this bug.